View Issue Details

IDProjectCategoryView StatusLast Update
0003164OpenFOAMBugpublic2019-02-18 12:41
ReportersobutAssigned Towill 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSLinux MintOS Version19 Tara
Product Version6 
Fixed in Version 
Summary0003164: MPI not running for pipeCyclic example
DescriptionrunParallel doesn't work for pipeCyclic example.
Steps To Reproduce* Launch openfoam6-linux
* copy pipeCyclic from $FOAM_TUTORIALS/incompressible/simpleFoam/pipeCyclic
* ./Allrun
* log.simpleFoam contains following message
--------------------------------------------------------------------------------------------
The value of the MCA parameter "plm_rsh_agent" was set to a path
 that could not be found:

plm_rsh_agent: ssh : rsh

Please either unset the parameter, or check that the path is correct
------------------------------------------------------------------------------------------------------------------


TagsNo tags attached.

Relationships

related to 0003163 resolvedwill MPI not running on docker image 

Activities

will

2019-02-15 15:56

manager   ~0010293

There is a missing dependency of the system openmpi package. See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=882603. The problem goes away if openssh-client is installed.

We will look at adding the necessary package to the docker images

will

2019-02-18 12:41

manager   ~0010298

The images have been updated to include the openssh-client and the modification to the environment necessary to resolve this issue. The image ID-s are 039bca1d72fd (dev) and 131806f1ca57 (version 6).

Issue History

Date Modified Username Field Change
2019-02-11 13:32 sobut New Issue
2019-02-11 13:32 sobut Issue generated from: 0003163
2019-02-11 13:32 sobut Relationship added related to 0003163
2019-02-15 15:56 will Note Added: 0010293
2019-02-18 12:41 will Assigned To => will
2019-02-18 12:41 will Status new => resolved
2019-02-18 12:41 will Resolution open => fixed
2019-02-18 12:41 will Note Added: 0010298